import { Client } from "./client.js";

class MatchMaking
{
	/**
	 * @param  {Client} client
	 */
	constructor(client)
	{
		/**
		 * @type {Client}
		 */
		this.client = client
	}
		
	async start(func)
	{
		if (!await this.client.isAuthentificate())
			return null;
		
		let url = `wss://${window.location.host}/ws/matchmaking/`;
		
		this._chatSocket = new WebSocket(url);
		
		this._chatSocket.onmessage = function (event) {
			const data = JSON.parse(event.data);
			func(data.game_id)
		};
	}

	async stop()
	{
		this._chatSocket.close()
	}
}

export {MatchMaking}